'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generate;

var _ncp = require('ncp');

var _ncp2 = _interopRequireDefault(_ncp);

var _ora = require('ora');

var _ora2 = _interopRequireDefault(_ora);

var _isString = require('lodash/isString');

var _isString2 = _interopRequireDefault(_isString);

var _utils = require('../utils');

var _logger = require('../logger');

var _logger2 = _interopRequireDefault(_logger);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function generate(type, name) {
  if (!(0, _isString2.default)(type)) {
    throw new TypeError('type is not a string');
  }

  if (!(0, _isString2.default)(name)) {
    throw new TypeError('name is not a string');
  }

  var destination = (0, _utils.resolvePath)(name);

  (0, _ncp2.default)((0, _utils.resolvePath)('templates/component.js'), destination, function (error) {
    var spinner = (0, _ora2.default)('4. Install package dependencies').start();

    if (error) {
      _logger2.default.error(error);
      spinner.fail();
      return;
    }

    spinner.succeed();
  });
}
//# sourceMappingURL=generate.js.map