// @flow

import ncp from 'ncp';
import ora from 'ora';
import isString from 'lodash/isString';

import { resolvePath } from '../utils';
import logger from '../logger';

export default function generate(type: string, name: string) {
  if (!isString(type)) {
    throw new TypeError('type is not a string');
  }

  if (!isString(name)) {
    throw new TypeError('name is not a string');
  }

  const destination = resolvePath(name);

  ncp(resolvePath('templates/component.js'), destination, (error) => {
    const spinner = ora('4. Install package dependencies').start();

    if (error) {
      logger.error(error);
      spinner.fail();
      return;
    }

    spinner.succeed();
  });
}
