import fs from 'fs';
import postcss from 'postcss';
import postcssImport from 'postcss-import';
import postcssCssNext from 'postcss-cssnext';

import logger from '../logger';

export default function compileCss(targetPath) {
  const targetFile = fs.readFileSync(targetPath, 'utf8');

  return postcss([
    postcssImport,
    postcssCssNext,
  ])
    .process(targetFile, {
      from: targetPath,
      to: targetPath,
    })
    .then((result) => {
      fs.writeFileSync(targetPath, result.css);

      if (result.map) {
        fs.writeFileSync(`${targetPath}.map`, result.map);
      }

      return result;
    })
    .catch(error => logger.error(error));
}
