import fs from 'fs';
import test from 'ava';
import temp from 'temp';

import compileCss from '../src/helper/compileCss';

temp.track();

test('should compile css successfully', async t => {
  // Create temp path for testing
  const path = temp.mkdirSync('project');
  const targetPath = `${path}/app.css`;

  fs.writeFileSync(targetPath, `
    :root {
      --mainColor: red;
    }

    a {
      color: var(--mainColor);
    }
  `);

  await compileCss(targetPath);

  const compiledCss = fs.readFileSync(targetPath, 'utf8');

  t.is(compiledCss.includes('color: red;'), true);
});
